﻿;
/*
 * ========== NWDR(レコーダー or 推奨サーバ)情報 ==========
 *
 * [0] HP
 * [1] INTEL(64ch)
 * [2] DELL(64ch)
 */

// NWDR(レコーダー or 推奨サーバ)コード(nRecCode)定義 2014.07.11 H.Sasaki
var nNwdrHP = 0;
var nNwdrINTEL064 = 1;
var nNwdrDELL064 = 2;
var nNwdrINTEL128 = 3;
var nNwdrDELL128 = 4;

// 最大カメラ台数
var defCamNumMax = new Array(64, 64, 64, 128, 128);

// Single:メインユニット1ユニットあたりの最大HDD数
var defMaxHddNum_MainUnit = new Array(17, 8, 7, 8, 7);

// Single:増設1台あたりの最大HDD数
var defMaxHddNum_ExtUnit = new Array(0, 12, 12, 12, 12);

// Single:「メイン＋増設」システム(1セット)あたりの最大HDD数
var defMaxHddNum_System = new Array(17, 104, 199, 104, 199);

// RAID5:最大HDD数
var defMaxHddNum_MainUnitRAID5 = new Array(16, 7, 6, 7, 6);

// RAID5:増設1台あたりの最大HDD数
var defMaxHddNum_ExtUnitRAID5 = new Array(0, 11, 11, 11, 11);

// RAID5:最大HDD数
var defMaxHddNum_SystemRAID5 = new Array(16, 95, 182, 95, 182);

// 最大増設ユニット数
var defLimitOfExtNum = new Array(0, 8, 16, 8, 16);

// 録画係数
var defRecCoef = new Array(0.95, 0.95, 0.95, 0.95, 0.95);

// 最大入力ビットレート
var defLimitBandWidth = new Array(196.608, 262.144, 262.144, 262.144, 262.144);

// 消費電力(本体)
var defMainUnitPow = new Array(376, 800, 750, 800, 750);

// 消費電力(増設)
var defExtUnitPow = new Array(0, 500, 600, 500, 600);

// 高さ
var defSizeAtUnit = new Array(5, 2, 2, 2, 2);
var defINTEL_ExtUnitSize = 2;
var defDELL_ExtUnitSize = 2;

// JPEG帯域計算用係数
var GetaJpeg = 1.15;

// BBカメラ帯域/記録容量計算用係数
//var BBcamGetaMovie = 1.30;


/*
 * ========== HP固有情報 ==========
 */

/*
 * ========== INTEL固有情報 ==========
 */

/*
 * ========== DELL固有情報 ==========
 */

/*
 * ========== 画面表示 ==========
 */

// H264種別数
var camkind_h264 = 3;
// JPEG種別数
var camkind_jpeg = 3;
// MPEG4種別数
var camkind_mpeg4 = 1;
// H.264(顔照合)種別数
var camkind_face = 1;

// カメラ種別数
var camerakind = camkind_h264;

/*
 * ========== H.264カメラ情報 ==========
 *
 */
var camKind_H264_Hd = 0;
var camKind_H264_360 = 1;
var camKind_H264_FullHd = 2;
var camKind_H264_502 = 3;
var camKind_H264_Gxe5 = 4;
var camKind_H264_Gxe1 = 5;
var camKind_H264_Hcm7 = 6;

var camInfo_H264 = [
    // i-PRO SmartHD
    [
        // 型番
        [
            s_cammodel_h264_01
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_h264_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_08
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                1
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_h264_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // フレームレート
            [
                // 名称
                [
                    s_camprio_h264_02
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // 全方位カメラ
    [
        // 型番
        [
            s_cammodel_h264_06
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                2
            ],
            // 1M
            [
                // 名称
                [
                     s_camscan_h264_04
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // 1.3M
            [
                // 名称
                [
                     s_camscan_h264_01
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // 2M
            [
                // 名称
                [
                    s_camscan_h264_02
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_h264_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_01
                ]
            ],
            // 2モード
            [
                // 名称
                [
                    s_camscan_h264_05
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ],
            // VGA 4ストリーム
            [
                // 名称
                [
                    s_camscan_h264_06
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                1
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_h264_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // フレームレート
            [
                // 名称
                [
                    s_camprio_h264_02
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // i-PRO SmartHD(FullHD)
    [
        // 型番
        [
            s_cammodel_h264_02
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_h264_01
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // 2M
            [
                // 名称
                [
                    s_camscan_h264_02
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_h264_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_01
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                1
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_h264_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // フレームレート
            [
                // 名称
                [
                    s_camprio_h264_02
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 型番
        [
            s_cammodel_h264_03
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_h264_01
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_05,
                    s_camreso_h264_06,
                    s_camreso_h264_07,
                    s_camreso_h264_08
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_h264_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03,
                    s_camreso_h264_04,
                    s_camreso_h264_06,
                    s_camreso_h264_07
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                1
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_h264_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // フレームレート
            [
                // 名称
                [
                    s_camprio_h264_02
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // GXE500
    [
        // 型番
        [
            s_cammodel_h264_04
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_h264_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                1
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_h264_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_h264_01,
                    s_camqual_h264_02,
                    s_camqual_h264_03
                ]
            ],
            // フレームレート
            [
                // 名称
                [
                    s_camprio_h264_02
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // BB-HCM7**
    [
        // 型番
        [
            s_cammodel_h264_05
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            [
                // 名称
                [
                    s_camscan_h264_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_h264_01,
                    s_camreso_h264_02,
                    s_camreso_h264_03
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_H264_00
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ],
    // Other Cameras
    [
        // 型番
        [
            s_cammodel_h264_08
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // --
            [
                // 名称
                [
                    s_camscan_h264_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_h264_00
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // --
            [
                // 名称
                [
                    s_camprio_H264_00
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_h264_00
                ]
            ]
        ]
    ]
];


/*
 * ========== H.264ビットレート情報 ==========
 *
 */
var camBitrate_H264 = [
    // i-PRO SmartHD
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        // [0] : 表示用ビットレート
                        // [1] : 計算用ビットレート(0 = 表示用と同じ)
                        // [2] : 出力可能FPS数
                        // [3] : NV200標準対応フラグ
                        // [4] : ND400対応フラグ
                        // [5] : ND300対応フラグ
                        // [6] : ND200対応フラグ
                        // [7] : NV200対応フラグ
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 20, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 25, 1, 1, 1, 1, 0],
                        [2048, 0, 20, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 22.5, 1, 1, 1, 1, 0],
                        [768, 0, 20, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 20, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 25, 1, 1, 1, 1, 0],
                        [384, 0, 20, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 30, 1, 1, 1, 1, 0],
                        [384, 0, 30, 1, 1, 1, 1, 0],
                        [256, 0, 25, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // HD
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 20, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 25, 1, 1, 1, 1, 0],
                        [2048, 0, 20, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 22.5, 1, 1, 1, 1, 0],
                        [768, 0, 20, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 20, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 25, 1, 1, 1, 1, 0],
                        [384, 0, 20, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 30, 1, 1, 1, 1, 0],
                        [384, 0, 30, 1, 1, 1, 1, 0],
                        [256, 0, 25, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // SVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 25, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 20, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // 全方位カメラ
    [
        // 1M
        [
            // ビットレート優先
            [
                // HD
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // HD
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // 1.3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // 2M
        [
            // ビットレート優先
            [
                // FHD
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // FHD
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // 3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // 2モード
        [
            // ビットレート優先
            [
                // FHD
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [4],
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ],
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // FHD
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 15, 1, 1, 0, 0, 0],
                        [12288, 0, 15, 1, 1, 0, 0, 0],
                        [10240, 0, 15, 1, 1, 0, 0, 0],
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 1, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ],
        // VGA(4)
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ]
    ],
    // i-PRO SmartHD(FullHD)
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ],
                // HD
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // HD
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 20, 1, 1, 0, 0, 1],
                        [768, 0, 7.5, 1, 1, 0, 0, 1],
                        [512, 0, 1, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // 2M
        [
            // ビットレート優先
            [
                // FHD
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 25, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 20, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 25, 1, 1, 0, 0, 0],
                        [2048, 0, 20, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 0],
                        [12288, 0, 30, 1, 1, 0, 0, 0],
                        [10240, 0, 30, 1, 1, 0, 0, 0],
                        [8192, 0, 30, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 0, 0, 0],
                        [3072, 0, 20, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 10, 1, 1, 0, 0, 0],
                        [768, 0, 7.5, 1, 1, 0, 0, 0],
                        [512, 0, 5, 1, 1, 0, 0, 0],
                        [384, 0, 3, 1, 1, 0, 0, 0],
                        [256, 0, 2, 1, 1, 0, 0, 0],
                        [128, 0, 1, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 22.5, 1, 1, 0, 0, 0],
                        [768, 0, 20, 1, 1, 0, 0, 0],
                        [512, 0, 15, 1, 1, 0, 0, 0],
                        [384, 0, 10, 1, 1, 0, 0, 0],
                        [256, 0, 7.5, 1, 1, 0, 0, 0],
                        [128, 0, 5, 1, 1, 0, 0, 0],
                        [64, 0, 2, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 20, 1, 1, 0, 0, 0],
                        [384, 0, 15, 1, 1, 0, 0, 0],
                        [256, 0, 10, 1, 1, 0, 0, 0],
                        [128, 0, 7.5, 1, 1, 0, 0, 0],
                        [64, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 20, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 15, 1, 1, 0, 0, 0],
                        [512, 0, 10, 1, 1, 0, 0, 0],
                        [384, 0, 7.5, 1, 1, 0, 0, 0],
                        [256, 0, 5, 1, 1, 0, 0, 0],
                        [128, 0, 2, 1, 1, 0, 0, 0],
                        [64, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 25, 1, 1, 0, 0, 0],
                        [384, 0, 20, 1, 1, 0, 0, 0],
                        [256, 0, 15, 1, 1, 0, 0, 0],
                        [128, 0, 10, 1, 1, 0, 0, 0],
                        [64, 0, 5, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 0],
                        [3072, 0, 30, 1, 1, 0, 0, 0],
                        [2048, 0, 30, 1, 1, 0, 0, 0],
                        [1536, 0, 30, 1, 1, 0, 0, 0],
                        [1024, 0, 30, 1, 1, 0, 0, 0],
                        [768, 0, 30, 1, 1, 0, 0, 0],
                        [512, 0, 30, 1, 1, 0, 0, 0],
                        [384, 0, 30, 1, 1, 0, 0, 0],
                        [256, 0, 25, 1, 1, 0, 0, 0],
                        [128, 0, 15, 1, 1, 0, 0, 0],
                        [64, 0, 10, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // FHD
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [5],
                        //[4],
                        //add end
                        // 値リスト
                        [14336, 0, 30, 1, 1, 0, 0, 1],
                        [12288, 0, 30, 1, 1, 0, 0, 1],
                        [10240, 0, 30, 1, 1, 0, 0, 1],
                        [8192, 0, 30, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 30, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 7.5, 1, 1, 0, 0, 1],
                        [1024, 0, 1, 1, 1, 0, 0, 1],
                        [768, 0, 0, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 15, 1, 1, 0, 0, 1],
                        [256, 0, 1, 1, 1, 0, 0, 1],
                        [128, 0, 0, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 0, 0, 1],
                        [3072, 0, 30, 1, 1, 0, 0, 1],
                        [2048, 0, 30, 1, 1, 0, 0, 1],
                        [1536, 0, 30, 1, 1, 0, 0, 1],
                        [1024, 0, 30, 1, 1, 0, 0, 1],
                        [768, 0, 30, 1, 1, 0, 0, 1],
                        [512, 0, 30, 1, 1, 0, 0, 1],
                        [384, 0, 30, 1, 1, 0, 0, 1],
                        [256, 0, 15, 1, 1, 0, 0, 1],
                        [128, 0, 1, 1, 1, 0, 0, 1],
                        [64, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ],
        // 3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 10, 1, 1, 0, 0, 0],
                        [1536, 0, 7.5, 1, 1, 0, 0, 0],
                        [1024, 0, 5, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 2, 1, 1, 0, 0, 0],
                        [384, 0, 1, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0],
                        [384, 0, 2, 1, 1, 0, 0, 0],
                        [256, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 0],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 15, 1, 1, 0, 0, 0],
                        [1024, 0, 15, 1, 1, 0, 0, 0],
                        [768, 0, 10, 1, 1, 0, 0, 0],
                        [512, 0, 7.5, 1, 1, 0, 0, 0],
                        [384, 0, 5, 1, 1, 0, 0, 0],
                        [256, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        //2013.06.18 add by Eguchi V1.90対応
                        [2],
                        //[1],
                        //add end
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 1],
                        //2013.06.18 add by Eguchi V1.90対応
                        //6M対応
                        [6144, 0, 15, 1, 1, 0, 0, 1],
                        //add end
                        [4096, 0, 15, 1, 1, 0, 0, 1],
                        [3072, 0, 15, 1, 1, 0, 0, 1],
                        [2048, 0, 15, 1, 1, 0, 0, 1],
                        [1536, 0, 15, 1, 1, 0, 0, 1],
                        [1024, 0, 15, 1, 1, 0, 0, 1],
                        [768, 0, 1, 1, 1, 0, 0, 1],
                        [512, 0, 0, 1, 1, 0, 0, 1],
                        [384, 0, 0, 1, 1, 0, 0, 1],
                        [256, 0, 0, 1, 1, 0, 0, 1]
                    ]
                ]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 20, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 25, 1, 1, 1, 1, 0],
                        [2048, 0, 20, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 22.5, 1, 1, 1, 1, 0],
                        [768, 0, 20, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 20, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 25, 1, 1, 1, 1, 0],
                        [384, 0, 20, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 30, 1, 1, 1, 1, 0],
                        [384, 0, 30, 1, 1, 1, 1, 0],
                        [256, 0, 25, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // HD
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 20, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 25, 1, 1, 1, 1, 0],
                        [2048, 0, 20, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 0],
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 22.5, 1, 1, 1, 1, 0],
                        [768, 0, 20, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 20, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 25, 1, 1, 1, 1, 0],
                        [384, 0, 20, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 30, 1, 1, 1, 1, 0],
                        [384, 0, 30, 1, 1, 1, 1, 0],
                        [256, 0, 25, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // SVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 25, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 20, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // HD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 7.5, 1, 1, 1, 1, 1],
                        [768, 0, 1, 1, 1, 1, 1, 1],
                        [512, 0, 0, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 15, 1, 1, 1, 1, 1],
                        [384, 0, 5, 1, 1, 1, 1, 1],
                        [256, 0, 1, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // SVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 30, 1, 1, 1, 1, 1],
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 1, 1, 1, 1, 1, 1],
                        [384, 0, 0, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ],
        // 3M
        [
            // ビットレート優先
            [
                // SXVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.5, 1, 1, 1, 1, 0],
                        [1024, 0, 5, 1, 1, 1, 1, 0],
                        [768, 0, 3, 1, 1, 1, 1, 0],
                        [512, 0, 2, 1, 1, 1, 1, 0],
                        [384, 0, 1, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 10, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 5, 1, 1, 1, 1, 0],
                        [512, 0, 3, 1, 1, 1, 1, 0],
                        [384, 0, 2, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 10, 1, 1, 1, 1, 0],
                        [512, 0, 7.5, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ],
                // FHD
                [
                    // Fine
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 10, 1, 1, 0, 0, 0],
                        [3072, 0, 7.5, 1, 1, 0, 0, 0],
                        [2048, 0, 5, 1, 1, 0, 0, 0],
                        [1536, 0, 3, 1, 1, 0, 0, 0],
                        [1024, 0, 3, 1, 1, 0, 0, 0],
                        [768, 0, 1, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 10, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 5, 1, 1, 0, 0, 0],
                        [1024, 0, 3, 1, 1, 0, 0, 0],
                        [768, 0, 3, 1, 1, 0, 0, 0],
                        [512, 0, 1, 1, 1, 0, 0, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 15, 1, 1, 0, 0, 0],
                        [1536, 0, 10, 1, 1, 0, 0, 0],
                        [1024, 0, 7.5, 1, 1, 0, 0, 0],
                        [768, 0, 5, 1, 1, 0, 0, 0],
                        [512, 0, 3, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // 180P
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // SXVGA
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 1, 1, 0],
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 7.5, 1, 1, 1, 1, 0],
                        [768, 0, 1, 1, 1, 1, 1, 0],
                        [512, 0, 0, 1, 1, 1, 1, 0],
                        [384, 0, 0, 1, 1, 1, 1, 0],
                        [256, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // FHD
                [
                    // -
                    [
                        // デフォルト値
                        [1],
                        // 値リスト
                        [8192, 0, 15, 1, 1, 0, 0, 0],
                        [4096, 0, 15, 1, 1, 0, 0, 0],
                        [3072, 0, 15, 1, 1, 0, 0, 0],
                        [2048, 0, 7.5, 1, 1, 0, 0, 0],
                        [1536, 0, 1, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ],
                // HVGAW
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 0, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ],
                // 180P
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // GXE500
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 0],
                        [3072, 0, 20, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 22.5, 1, 1, 1, 1, 0],
                        [768, 0, 20, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 20, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 7.5, 1, 1, 1, 1, 0],
                        [64, 0, 3, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 20, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 25, 1, 1, 1, 1, 0],
                        [384, 0, 20, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 0],
                        [3072, 0, 30, 1, 1, 1, 1, 0],
                        [2048, 0, 30, 1, 1, 1, 1, 0],
                        [1536, 0, 30, 1, 1, 1, 1, 0],
                        [1024, 0, 30, 1, 1, 1, 1, 0],
                        [768, 0, 30, 1, 1, 1, 1, 0],
                        [512, 0, 30, 1, 1, 1, 1, 0],
                        [384, 0, 30, 1, 1, 1, 1, 0],
                        [256, 0, 25, 1, 1, 1, 1, 0],
                        [128, 0, 15, 1, 1, 1, 1, 0],
                        [64, 0, 10, 1, 1, 1, 1, 0]
                    ]
                ]
            ],
            // フレームレート優先
            [
                // VGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 1, 1, 1, 1, 1, 1],
                        [256, 0, 0, 1, 1, 1, 1, 1],
                        [128, 0, 0, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // -
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 0, 30, 1, 1, 1, 1, 1],
                        [3072, 0, 30, 1, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 30, 1, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 30, 1, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 1, 1, 1, 1, 1, 1],
                        [64, 0, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // BB-HCM7**
    [
        [
            [
                // SXVGA
                [
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [4096, 5325, 30, 1, 1, 1, 1, 1],
                        [3072, 3994, 30, 1, 1, 1, 1, 1],
                        [2048, 2663, 15, 1, 1, 1, 1, 1],
                        [1536, 1997, 10, 1, 1, 1, 1, 1],
                        [1024, 1332, 5, 1, 1, 1, 1, 1],
                        [768, 999, 0, 1, 1, 1, 1, 1]
                    ]
                ],
                // VGA
                [
                    [

                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 2663, 30, 1, 1, 1, 1, 1],
                        [1536, 1997, 30, 1, 1, 1, 1, 1],
                        [1024, 1332, 15, 1, 1, 1, 1, 1],
                        [768, 999, 10, 1, 1, 1, 1, 1],
                        [512, 666, 5, 1, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    [
                        // デフォルト値
                        [0],
                        [1024, 1332, 30, 1, 1, 1, 1, 1],
                        [768, 999, 30, 1, 1, 1, 1, 1],
                        [512, 666, 15, 1, 1, 1, 1, 1],
                        [384, 500, 10, 1, 1, 1, 1, 1],
                        [256, 333, 5, 1, 1, 1, 1, 1],
                        [192, 250, 0, 1, 1, 1, 1, 1],
                        [128, 167, 0, 1, 1, 1, 1, 1],
                        [64, 84, 0, 1, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // Other Cameras
    [
        // --
        [
            // --
            [
                // --
                [
                    // --
                    [
                        // デフォルト値
                        [26],
                        // 値リスト
                        [50000, 0, 0, 1, 1, 0, 0, 0],
                        [49152, 0, 0, 1, 1, 0, 0, 0],
                        [45056, 0, 0, 1, 1, 0, 0, 0],
                        [40960, 0, 0, 1, 1, 0, 0, 0],
                        [36864, 0, 0, 1, 1, 0, 0, 0],
                        [32768, 0, 0, 1, 1, 0, 0, 0],
                        [32000, 0, 0, 1, 1, 0, 0, 0],
                        [28672, 0, 0, 1, 1, 0, 0, 0],
                        [24567, 0, 0, 1, 1, 0, 0, 0],
                        [24000, 0, 0, 1, 1, 0, 0, 0],
                        [20480, 0, 0, 1, 1, 0, 0, 0],
                        [18432, 0, 0, 1, 1, 0, 0, 0],
                        [16384, 0, 0, 1, 1, 0, 0, 0],
                        [16000, 0, 0, 1, 1, 0, 0, 0],
                        [14336, 0, 0, 1, 1, 0, 0, 0],
                        [12288, 0, 0, 1, 1, 0, 0, 0],
                        [10240, 0, 0, 1, 1, 0, 0, 0],
                        [8192, 0, 0, 1, 1, 0, 0, 0],
                        [8000, 0, 0, 1, 1, 0, 0, 0],
                        [7168, 0, 0, 1, 1, 0, 0, 0],
                        [7000, 0, 0, 1, 1, 0, 0, 0],
                        [6144, 0, 0, 1, 1, 0, 0, 0],
                        [6000, 0, 0, 1, 1, 0, 0, 0],
                        [5120, 0, 0, 1, 1, 0, 0, 0],
                        [5000, 0, 0, 1, 1, 0, 0, 0],
                        [4096, 0, 0, 1, 1, 0, 0, 0],
                        [4000, 0, 0, 1, 1, 0, 0, 0],
                        [3072, 0, 0, 1, 1, 0, 0, 0],
                        [3000, 0, 0, 1, 1, 0, 0, 0],
                        [2048, 0, 0, 1, 1, 0, 0, 0],
                        [2000, 0, 0, 1, 1, 0, 0, 0],
                        [1536, 0, 0, 1, 1, 0, 0, 0],
                        [1500, 0, 0, 1, 1, 0, 0, 0],
                        [1024, 0, 0, 1, 1, 0, 0, 0],
                        [1000, 0, 0, 1, 1, 0, 0, 0],
                        [768, 0, 0, 1, 1, 0, 0, 0],
                        [512, 0, 0, 1, 1, 0, 0, 0],
                        [384, 0, 0, 1, 1, 0, 0, 0],
                        [256, 0, 0, 1, 1, 0, 0, 0],
                        [128, 0, 0, 1, 1, 0, 0, 0],
                        [100, 0, 0, 1, 1, 0, 0, 0],
                        [96, 0, 0, 1, 1, 0, 0, 0],
                        [90, 0, 0, 1, 1, 0, 0, 0],
                        [80, 0, 0, 1, 1, 0, 0, 0],
                        [70, 0, 0, 1, 1, 0, 0, 0],
                        [64, 0, 0, 1, 1, 0, 0, 0],
                        [60, 0, 0, 1, 1, 0, 0, 0],
                        [50, 0, 0, 1, 1, 0, 0, 0],
                        [40, 0, 0, 1, 1, 0, 0, 0],
                        [32, 0, 0, 1, 1, 0, 0, 0],
                        [30, 0, 0, 1, 1, 0, 0, 0],
                        [20, 0, 0, 1, 1, 0, 0, 0],
                        [18, 0, 0, 1, 1, 0, 0, 0],
                        [16, 0, 0, 1, 1, 0, 0, 0],
                        [14, 0, 0, 1, 1, 0, 0, 0],
                        [12, 0, 0, 1, 1, 0, 0, 0],
                        [10, 0, 0, 1, 1, 0, 0, 0],
                        [9, 0, 0, 1, 1, 0, 0, 0],
                        [8, 0, 0, 1, 1, 0, 0, 0],
                        [7, 0, 0, 1, 1, 0, 0, 0],
                        [6, 0, 0, 1, 1, 0, 0, 0],
                        [5, 0, 0, 1, 1, 0, 0, 0],
                        [4, 0, 0, 1, 1, 0, 0, 0],
                        [3, 0, 0, 1, 1, 0, 0, 0],
                        [2, 0, 0, 1, 1, 0, 0, 0],
                        [1, 0, 0, 1, 1, 0, 0, 0]
                    ]
                ]
            ]
        ]
    ]
];


/*
 * ========== JPEGカメラ情報 ==========
 *
 */
var camKind_Jpeg_Hd = 0;
var camKind_Jpeg_360 = 1;
var camKind_Jpeg_FullHd = 2;
var camKind_Jpeg_502 = 3;
var camKind_Jpeg_Gxe = 4;
var camKind_Jpeg_Np30 = 5;
var camKind_Jpeg_Np1000 = 6;
var camKind_Jpeg_Other = 7;
var camKind_Jpeg_Hcm7 = 8;
var camKind_Jpeg_Hcm5 = 9;

var camInfo_Jpeg = [
    // i-PRO SmartHD
    [
        // 型番
        [
            s_cammodel_jpeg_01
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_08
                ]
            ]
        ]
    ],
    // 全方位カメラ
    [
        // 型番
        [
            s_cammodel_jpeg_10
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                2
            ],
            // 1M
            [
                // 名称
                [
                    s_camscan_jpeg_05
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_01
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ],
            // 2M
            [
                // 名称
                [
                    s_camscan_jpeg_02
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_jpeg_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_09
                ]
            ],
            // 2モード
            [
                // 名称
                [
                    s_camscan_jpeg_06
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ]
        ]
    ],
    // i-PRO SmartHD(FullHD)
    [
        // 型番
        [
            s_cammodel_jpeg_02
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_01
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 2M
            [
                // 名称
                [
                    s_camscan_jpeg_02
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_jpeg_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_09
                ]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 型番
        [
            s_cammodel_jpeg_03
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_01
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07,
                    s_camreso_jpeg_08
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_jpeg_03
                ],
                // 解像度
                [
                    1,
                    s_camreso_jpeg_09,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ]
        ]
    ],
    // GXE500/GXE100
    [
        // 型番
        [
            s_cammodel_jpeg_04
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // NP304/NF302
    [
        // 型番
        [
            s_cammodel_jpeg_05
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // NP1000
    [
        // 型番
        [
            s_cammodel_jpeg_06
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_04
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // その他i-PRO
    [
        // 型番
        [
            s_cammodel_jpeg_07
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // BB-HCM7**
    [
        // 型番
        [
            s_cammodel_jpeg_08
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // BB-HCM5**/3**/1**
    [
        // 型番
        [
            s_cammodel_jpeg_09
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_00
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03
                ]
            ]
        ]
    ],
    // Other Cameras(Sony, Axis, etc..)
    [
        // 型番
        [
            s_cammodel_jpeg_11
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_jpeg_01
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_01,
                    s_camreso_jpeg_02,
                    s_camreso_jpeg_03,
                    s_camreso_jpeg_05,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 2M
            [
                // 名称
                [
                    s_camscan_jpeg_02
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_04,
                    s_camreso_jpeg_06,
                    s_camreso_jpeg_07
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_jpeg_03
                ],
                // 解像度
                [
                    0,
                    s_camreso_jpeg_09
                ]
            ]
        ]
    ]
];


/*
 * ========== JPEG画質情報 ==========
 *
 */
var camQuality_Jpeg = [
    // i-PRO SmartHD
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                // [0] : 画質
                // [1] : データサイズ(KB)
                // [2] : 出力可能FPS数
                // [3] : NV200標準対応フラグ(1:SF/2:FQ/3:NQ)
                // [4] : ND400対応フラグ
                // [5] : ND300対応フラグ
                // [6] : ND200対応フラグ
                // [7] : NV200対応フラグ
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 20, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 28, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 30, 3, 1, 1, 1, 0]
            ],
            // SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 200, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 152, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 128, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 100, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 88, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 76, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 64, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 52, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 40, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // 全方位カメラ
    [
        // 1M
        [
            // HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 144, 22, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 120, 26, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 0, 0, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 0, 0, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 1]
            ]
        ],
        // 2M
        [
            // FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 0, 0, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ],
        // 3M
        [
            // QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 9, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 13, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 15, 3, 1, 0, 0, 0]
            ]
        ],
        // 2モード
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 0, 0, 0]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 0, 0, 0]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 0, 0, 0]
            ],
            // FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 0, 0, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 0, 0, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 0, 0, 0]
            ]
        ]
    ],
    // i-PRO SmartHD(FullHD)
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // 2M
        [
            // FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 2, 2, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // 3M
        [
            // QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 9, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 13, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 15, 3, 1, 0, 0, 0]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 20, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 28, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 30, 3, 1, 1, 1, 0]
            ],
            // SVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 200, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 152, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 128, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 100, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 88, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 76, 13, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 64, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 52, 21, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 40, 30, 3, 1, 1, 1, 1]
            ]
        ],
        // 3M
        [
            // QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 2, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 5, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 5, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 5, 3, 1, 0, 0, 0]
            ],
            // SXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 15, 3, 1, 1, 1, 0]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 15, 3, 1, 1, 1, 0]
            ],
            // FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 3, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 424, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 368, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 312, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 256, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 5, 1, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 5, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 5, 2, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 5, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 5, 3, 1, 2, 2, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 42, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 36, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 30, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 26, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 22, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 18, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 15, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 33, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 30, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 27, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 21, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 18, 15, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 15, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 12, 15, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 9, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 6, 15, 3, 1, 1, 1, 0]
            ]
        ]
    ],
    // GXE500
    [
        // 1.3M
        [
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 23, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 29, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // NP304/NF302
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 320, 4, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 7, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 9, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 11, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 11, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 11, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 18, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 25, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 28, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // NP1000
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 320, 5, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 6, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 8, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 9, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 96, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 64, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 14, 0, 1, 1, 1, 0]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 13, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 15, 0, 1, 1, 1, 0]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 20, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 14, 15, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 15, 0, 1, 1, 1, 0]
            ]
        ]
    ],
    // その他i-PRO
    [
        // 1.3M
        [
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 10, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 17, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 21, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 24, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 28, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // BB-HCM7**
    [
        [
            // SXVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 128, 14, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 80, 18, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 64, 24, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 56, 28, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 40, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 28, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 28, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 14, 30, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // BB-HCM5**/3**/1**
    [
        [
            // VGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 56, 5, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 40, 5, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 28, 5, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [1],
                // 値リスト
                [s_camqual_jpeg_10, 28, 5, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_11, 16, 5, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_12, 14, 5, 3, 1, 1, 1, 1]
            ]
        ]
    ],
    // Other Cameras(Sony, Axis, etc..)
    [
        // 1.3M
        [
            // SXVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 288, 11, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 256, 12, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 224, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 128, 24, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 80, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 48, 30, 3, 1, 1, 1, 1]
            ],
            // VGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 128, 27, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 96, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 56, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 48, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 32, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 24, 30, 3, 1, 1, 1, 1]
            ],
            // QVGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 44, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 36, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 28, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 24, 30, 1, 1, 1, 1, 1],
                [s_camqual_jpeg_06, 20, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 1],
                [s_camqual_jpeg_08, 14, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 12, 30, 3, 1, 1, 1, 1]
            ],
            // HD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 216, 14, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 192, 16, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 160, 19, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 144, 22, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 120, 26, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 88, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 72, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 56, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 32, 30, 3, 1, 1, 1, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // 2M
        [
            // FHD
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 480, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 432, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 376, 8, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 320, 9, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 264, 12, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 208, 15, 1, 1, 2, 2, 0],
                [s_camqual_jpeg_06, 160, 19, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_07, 128, 24, 2, 1, 2, 2, 0],
                [s_camqual_jpeg_08, 104, 30, 0, 1, 2, 2, 0],
                [s_camqual_jpeg_09, 80, 30, 3, 1, 2, 2, 0]
            ],
            // HVGAW
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 80, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 64, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 48, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 40, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 32, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 16, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 16, 30, 3, 1, 1, 1, 0]
            ],
            // 180P
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 32, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_01, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_02, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_03, 24, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_04, 16, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_05, 16, 30, 1, 1, 1, 1, 0],
                [s_camqual_jpeg_06, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_07, 8, 30, 2, 1, 1, 1, 0],
                [s_camqual_jpeg_08, 8, 30, 0, 1, 1, 1, 0],
                [s_camqual_jpeg_09, 8, 30, 3, 1, 1, 1, 0]
            ]
        ],
        // 3M
        [
            // QXGA
            [
                // デフォルト値
                [5],
                // 値リスト
                [s_camqual_jpeg_00, 736, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_01, 656, 4, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_02, 568, 5, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_03, 488, 6, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_04, 408, 7, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_05, 320, 9, 1, 1, 0, 0, 0],
                [s_camqual_jpeg_06, 240, 13, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_07, 200, 15, 2, 1, 0, 0, 0],
                [s_camqual_jpeg_08, 160, 15, 0, 1, 0, 0, 0],
                [s_camqual_jpeg_09, 120, 15, 3, 1, 0, 0, 0]
            ]
        ]
    ]
];


/*
 * ========== JPEG録画FPS情報 ==========
 *
 */
var camRecFps_Jpeg = [
    // デフォルト値
    // (インデックスではなく、値)
    [1],
    // 値リスト
    [30, 0],
    [15, 0],
    [10, 0],
    [5, 1],
    [3, 1],
    [2, 0],
    [1, 1],
    [0.5, 0],
    [0.3, 0],
    [0.2, 0],
    [0.1, 0]
];


/*
 * ========== MPEG4カメラ情報 ==========
 *
 */
var camKind_Mpeg4_Hd = 0;
var camKind_Mpeg4_502 = 1;
var camKind_Mpeg4_Gxe = 2;
var camKind_Mpeg4_Np30 = 3;
var camKind_Mpeg4_Np1000 = 4;
var camKind_Mpeg4_Other = 5;
var camKind_Mpeg4_Hcm7 = 6;

var camInfo_Mpeg4 = [
    // i-PRO SmartHD
    [
        // 型番
        [
            s_cammodel_mpeg4_01
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 型番
        [
            s_cammodel_mpeg4_02
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_01
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ],
            // 3M
            [
                // 名称
                [
                    s_camscan_mpeg4_02
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // GXE500
    [
        // 型番
        [
            s_cammodel_mpeg4_03
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // NP304/NF302
    [
        // 型番
        [
            s_cammodel_mpeg4_04
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // NP1000
    [
        // 型番
        [
            s_cammodel_mpeg4_05
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_03
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // その他i-PRO
    [
        // 型番
        [
            s_cammodel_mpeg4_06
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ],
    // BB-HCM7**
    [
        // 型番
        [
            s_cammodel_mpeg4_07
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_00
                ],
                // 画質
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camqual_mpeg4_00
                ]
            ]
        ]
    ],
    // Other Cameras(Sony, Axis, etc..)
    [
        // 型番
        [
            s_cammodel_mpeg4_08
        ],
        // 撮像モード
        [
            // デフォルト値
            [
                0
            ],
            // 1.3M
            [
                // 名称
                [
                    s_camscan_mpeg4_00
                ],
                // 解像度
                [
                    // デフォルト値
                    0,
                    // 値リスト
                    s_camreso_mpeg4_01,
                    s_camreso_mpeg4_02
                ]
            ]
        ],
        // 優先モード
        [
            // デフォルト値
            [
                0
            ],
            // ビットレート
            [
                // 名称
                [
                    s_camprio_mpeg4_01
                ],
                // 画質
                [
                    // デフォルト値
                    1,
                    // 値リスト
                    s_camqual_mpeg4_01,
                    s_camqual_mpeg4_02,
                    s_camqual_mpeg4_03
                ]
            ]
        ]
    ]
];


/*
 * ========== MPEG4ビットレート情報 ==========
 *
 */
var camBitrate_Mpeg4 = [
    // i-PRO SmartHD
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        // [0] : 表示用ビットレート
                        // [1] : 計算用ビットレート(0 = 表示用と同じ)
                        // [2] : 出力可能FPS数
                        // [3] : NV200標準対応フラグ
                        // [4] : ND400対応フラグ
                        // [5] : ND300対応フラグ
                        // [6] : ND200対応フラグ
                        // [7] : NV200対応フラグ
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 0, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 0, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 0, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 0, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 0, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 0, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [768, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // NP502/NW502S
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 0, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 0, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 0, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 0, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 0, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 0, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [768, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ],
        // 3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 10, 1, 1, 1, 1, 0],
                        [768, 0, 7.5, 1, 1, 1, 1, 0],
                        [512, 0, 5, 1, 1, 1, 1, 0],
                        [384, 0, 3, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 7.5, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [384, 0, 7.5, 1, 1, 1, 1, 0],
                        [256, 0, 5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 10, 1, 1, 1, 1, 0],
                        [128, 0, 5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [768, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 15, 1, 1, 1, 1, 0],
                        [384, 0, 15, 1, 1, 1, 1, 0],
                        [256, 0, 15, 1, 1, 1, 1, 0],
                        [128, 0, 10, 1, 1, 1, 1, 0],
                        [64, 0, 5, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // GXE500
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 0, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 0, 1, 1, 1, 1],
                        [512, 0, 5, 1, 1, 1, 1, 1],
                        [384, 0, 3, 0, 1, 1, 1, 1],
                        [256, 0, 2, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 0, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 0, 1, 1, 1, 1],
                        [256, 0, 7.5, 0, 1, 1, 1, 1],
                        [128, 0, 5, 0, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 0, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 0, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 0, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 0, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [768, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 0, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // NP304/NF302
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 22, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 0, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 12, 1, 1, 1, 1, 1],
                        [1024, 0, 8, 1, 1, 1, 1, 1],
                        [512, 0, 4, 1, 1, 1, 1, 1],
                        [256, 0, 1.5, 0, 1, 1, 1, 1],
                        [128, 0, 0.5, 0, 1, 1, 1, 1],
                        [64, 0, 0.2, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 8, 1, 1, 1, 1, 1],
                        [256, 0, 3, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 0.4, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 28, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 4, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 0.5, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 28, 1, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 4, 0, 1, 1, 1, 1],
                        [64, 0, 1.5, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 28, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 4, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // NP1000
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 13, 1, 1, 1, 1, 0],
                        [3072, 0, 11.9, 1, 1, 1, 1, 0],
                        [2048, 0, 10, 1, 1, 1, 1, 0],
                        [1536, 0, 7.3, 1, 1, 1, 1, 0],
                        [1024, 0, 4.5, 1, 1, 1, 1, 0],
                        [512, 0, 2.5, 1, 1, 1, 1, 0],
                        [256, 0, 1, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 11, 1, 1, 1, 1, 0],
                        [1024, 0, 7, 1, 1, 1, 1, 0],
                        [512, 0, 3.5, 1, 1, 1, 1, 0],
                        [256, 0, 1.6, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 14, 1, 1, 1, 1, 0],
                        [1024, 0, 9.7, 1, 1, 1, 1, 0],
                        [512, 0, 4.7, 1, 1, 1, 1, 0],
                        [256, 0, 2, 1, 1, 1, 1, 0],
                        [128, 0, 1, 1, 1, 1, 1, 0],
                        [64, 0, 0.8, 1, 1, 1, 1, 0]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 10, 1, 1, 1, 1, 0],
                        [256, 0, 4.5, 1, 1, 1, 1, 0],
                        [128, 0, 2, 1, 1, 1, 1, 0],
                        [64, 0, 1, 1, 1, 1, 1, 0]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 14.2, 1, 1, 1, 1, 0],
                        [256, 0, 6.5, 1, 1, 1, 1, 0],
                        [128, 0, 3.3, 1, 1, 1, 1, 0],
                        [64, 0, 1.7, 1, 1, 1, 1, 0]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 15, 1, 1, 1, 1, 0],
                        [3072, 0, 15, 1, 1, 1, 1, 0],
                        [2048, 0, 15, 1, 1, 1, 1, 0],
                        [1536, 0, 15, 1, 1, 1, 1, 0],
                        [1024, 0, 15, 1, 1, 1, 1, 0],
                        [512, 0, 14.8, 1, 1, 1, 1, 0],
                        [256, 0, 9.1, 1, 1, 1, 1, 0],
                        [128, 0, 4.5, 1, 1, 1, 1, 0],
                        [64, 0, 2, 1, 1, 1, 1, 0]
                    ]
                ]
            ]
        ]
    ],
    // その他i-PRO
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 27, 1, 1, 1, 1, 1],
                        [3072, 0, 22, 0, 1, 1, 1, 1],
                        [2048, 0, 19, 1, 1, 1, 1, 1],
                        [1536, 0, 13, 1, 1, 1, 1, 1],
                        [1024, 0, 9, 1, 1, 1, 1, 1],
                        [512, 0, 4, 1, 1, 1, 1, 1],
                        [256, 0, 1.5, 0, 1, 1, 1, 1],
                        [128, 0, 0.5, 0, 1, 1, 1, 1],
                        [64, 0, 0.2, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22, 1, 1, 1, 1, 1],
                        [1024, 0, 14, 1, 1, 1, 1, 1],
                        [512, 0, 8, 1, 1, 1, 1, 1],
                        [256, 0, 3, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 0.4, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 22, 1, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 28, 0, 1, 1, 1, 1],
                        [2048, 0, 28, 1, 1, 1, 1, 1],
                        [1536, 0, 28, 1, 1, 1, 1, 1],
                        [1024, 0, 27, 1, 1, 1, 1, 1],
                        [512, 0, 12, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 0.5, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 29, 0, 1, 1, 1, 1],
                        [1024, 0, 28, 1, 1, 1, 1, 1],
                        [512, 0, 24, 1, 1, 1, 1, 1],
                        [256, 0, 12, 1, 1, 1, 1, 1],
                        [128, 0, 4, 0, 1, 1, 1, 1],
                        [64, 0, 1.5, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 28, 1, 1, 1, 1, 1],
                        [256, 0, 24, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 4, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // BB-HCM7**
    [
        [
            [
                // VGA
                [
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [2048, 2663, 30, 0, 1, 1, 1, 1],
                        [1536, 1997, 30, 1, 1, 1, 1, 1],
                        [1024, 1332, 15, 1, 1, 1, 1, 1],
                        [768, 999, 10, 1, 1, 1, 1, 1],
                        [512, 666, 5, 1, 1, 1, 1, 1],
                        [384, 500, 0, 0, 1, 1, 1, 1],
                        [256, 333, 0, 0, 1, 1, 1, 1],
                        [192, 250, 0, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    [
                        // デフォルト値
                        [0],
                        // 値リスト
                        [1024, 1332, 30, 0, 1, 1, 1, 1],
                        [768, 999, 30, 1, 1, 1, 1, 1],
                        [512, 666, 15, 1, 1, 1, 1, 1],
                        [384, 500, 10, 1, 1, 1, 1, 1],
                        [256, 333, 5, 1, 1, 1, 1, 1],
                        [192, 250, 0, 0, 1, 1, 1, 1],
                        [128, 167, 0, 0, 1, 1, 1, 1],
                        [64, 84, 0, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ],
    // Other Cameras(Sony, Axis, etc..)
    [
        // 1.3M
        [
            // ビットレート優先
            [
                // VGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        // [0] : 表示用ビットレート
                        // [1] : 計算用ビットレート(0 = 表示用と同じ)
                        // [2] : 出力可能FPS数
                        // [3] : NV200標準対応フラグ
                        // [4] : ND400対応フラグ
                        // [5] : ND300対応フラグ
                        // [6] : ND200対応フラグ
                        // [7] : NV200対応フラグ
                        [4096, 0, 22.5, 1, 1, 1, 1, 1],
                        [3072, 0, 20, 0, 1, 1, 1, 1],
                        [2048, 0, 15, 1, 1, 1, 1, 1],
                        [1536, 0, 15, 1, 1, 1, 1, 1],
                        [1024, 0, 10, 1, 1, 1, 1, 1],
                        [768, 0, 7.5, 1, 1, 1, 1, 1],
                        [512, 0, 5, 0, 1, 1, 1, 1],
                        [384, 0, 3, 1, 1, 1, 1, 1],
                        [256, 0, 2, 0, 1, 1, 1, 1],
                        [128, 0, 1, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 22.5, 1, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 0, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 25, 0, 1, 1, 1, 1],
                        [1024, 0, 20, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 10, 0, 1, 1, 1, 1],
                        [256, 0, 7.5, 1, 1, 1, 1, 1],
                        [128, 0, 5, 0, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ]
                ],
                // QVGA
                [
                    // Fine
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 1, 1, 1, 1, 1],
                        [1536, 0, 20, 0, 1, 1, 1, 1],
                        [1024, 0, 15, 1, 1, 1, 1, 1],
                        [768, 0, 15, 0, 1, 1, 1, 1],
                        [512, 0, 10, 1, 1, 1, 1, 1],
                        [384, 0, 7.5, 1, 1, 1, 1, 1],
                        [256, 0, 5, 1, 1, 1, 1, 1],
                        [128, 0, 2, 0, 1, 1, 1, 1],
                        [64, 0, 1, 0, 1, 1, 1, 1]
                    ],
                    // Normal
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 1, 1, 1, 1, 1],
                        [768, 0, 25, 0, 1, 1, 1, 1],
                        [512, 0, 20, 1, 1, 1, 1, 1],
                        [384, 0, 15, 1, 1, 1, 1, 1],
                        [256, 0, 10, 1, 1, 1, 1, 1],
                        [128, 0, 5, 1, 1, 1, 1, 1],
                        [64, 0, 2, 0, 1, 1, 1, 1]
                    ],
                    // Low
                    [
                        // デフォルト値
                        [2],
                        // 値リスト
                        [4096, 0, 30, 0, 1, 1, 1, 1],
                        [3072, 0, 30, 0, 1, 1, 1, 1],
                        [2048, 0, 30, 0, 1, 1, 1, 1],
                        [1536, 0, 30, 0, 1, 1, 1, 1],
                        [1024, 0, 30, 0, 1, 1, 1, 1],
                        [768, 0, 30, 0, 1, 1, 1, 1],
                        [512, 0, 30, 1, 1, 1, 1, 1],
                        [384, 0, 25, 1, 1, 1, 1, 1],
                        [256, 0, 20, 1, 1, 1, 1, 1],
                        [128, 0, 10, 1, 1, 1, 1, 1],
                        [64, 0, 5, 0, 1, 1, 1, 1]
                    ]
                ]
            ]
        ]
    ]
];


var camInfo_Face = [
    [
        // 解像度
        [
            // デフォルト値
            0,
            // 値リスト
            s_camreso_face_01
        ],
        // 画質
        [
            // デフォルト値
            0,
            // 値リスト
            s_camqual_face_01
        ],
        // 録画fps
        [
            // デフォルト値
            0,
            // 値リスト
            5
        ],
        // ビットレート
        [
            // デフォルト値
            0,
            // 値リスト
            4096
        ]
    ]
];


// 録画日数デフォルト値
var DefalutRecday = 30;

// RAID表示リスト番号
//2013.06.18 add by Eguchi V1.90対応
var sel_raid_code = new Array(0, 5);
//add end
//var sel_raid_code = new Array(0, 1, 5, 6);

/*
 * ========== メッセージ表示ダイアログ ==========
 *
 * ダイアログのタイトルバーに文字を指定するために
 * 専用の関数を作成している
 *
 * IE6の時は、JavaScriptの標準 Alert
 * それ以外の時はJQueryのダイアログを使用
 */

// 情報
var INFOMSGMODE = 1;
// 警告
var ALARTMSGMODE = 2;


/*
 * ========== 国内外パラメータ切替 ==========
 */
if (Language == Japanese) {
// 日本語ver

    // HDD容量
    var sel_hdd_capa = new Array(3000, 2000, 1000, 500);

    // ND200 最大HDD数
    // ND200はHDDを抜いて、新しいの挿して録画するという使い方が
    // できるがそれをどこまで想定するか
    // 国内はその運用まずないので、2個と本体内蔵分のみに限定している
    var nd200limithddnumraid0 = 2;

} else {
// 英語ver

    // HDD容量
    var sel_hdd_capa = new Array(4000, 3000);

    // ND200 最大HDD数
    // 国外はそういう運用もあるようなので、20個としている
    var nd200limithddnumraid0 = 20;
}


;
/**
 * 計算用変数
 */

// ===== カメラ種別毎のパラメータ =====
var g_eachModelInfo = new Array();
// 型番
var g_camerakind = new Array(camerakind);
// 台数
var g_cameranum = new Array(camerakind);
// 計算用ビットレート
var g_bitrate = new Array(camerakind);
// 計算用ビットレート(録画・JPEG)
var g_JpegBitrates_rec = new Array(0, 0, 0);
var g_JpegBitrates_calc = new Array(0, 0, 0);
// 計算用ビットレート(帯域・JPEG)
var g_JpegBitrates_band = new Array(0, 0, 0);
// 表示用ビットレート
var g_Dsp_bitrate = new Array(camerakind);
// 表示用ビットレート(録画・JPEG)
var g_DspJpegBitrates_rec = new Array(0, 0, 0);
// 表示用ビットレート(帯域・JPEG)
var g_DspJpegBitrates_band = new Array(0, 0, 0);
// JPEG録画ips数
var g_jpegips = new Array(camerakind);

// 映像のみ計算用ビットレート
var g_videobitrate = new Array(camerakind);

// 総カメラ数
var g_totalcannum = 0;
// 録画日数
var g_day = 0;
// 録画時間
var g_hour = 0;

// 選択された(Selected)HDD単位容量
var gSelHddUnitGB = 0;
// 選択された(Selected)RAIDモード
var gSelRaidMode = 0;  // 0:Single, 1: Dual/Mirroring , 5: RAID5, 6: RAID6

var g_capa = 0;

var g_ret = 0;

/* ===== NWDR(レコーダー or 推奨サーバ)毎のパラメータ =====
 * nRecCode 0 : HP
 *          1 : INTEL(64ch)
 *          2 : DELL(64ch)
 */

// NWDR(レコーダー or 推奨サーバ)毎の接続可能数
var g_DynaConnect = new Array(0, 0, 0, 0, 0);
// NWDR(レコーダー or 推奨サーバ)毎の計算結果表示フラグ
var g_DsplayResultFlag = new Array(1, 1, 1, 1, 1);

// 顔照合カメラをNWDR(レコーダー or 推奨サーバ)1台に2台以上
// 割り当てようとしたかどうか
var g_FaceOverFlag = 0;

// 表示メッセージ
var g_strmsg = '';


// NWDR(レコーダー or 推奨サーバ)情報
var gNwdrInfo = new Array();

// 機種別詳細情報
var DetailInfoArray = new Array('', '', '', '', '');


// NV200計算用
var g_NVinfo_a = new Array();
var camBitrate = new Array();
